<script>
    $('#select-kelas').on('change', function() {
        var val1 = this.value;
        $.getJSON(baseUrl+'/getKelasSekolah/'+val1, (result) => {
            if (result.error_code == '0') {
                let opt = '<option value="">- Pilih Kode Kelas -</option>';
                // var dataSem = result.data;
                // dataSem.sort(function(a, b){
                //     return a.id_semester - b.id_semester;
                // });
                $.each(result.data, function(i, item) {
                    opt += '<option value="'+item.id+'">'+item.nama+'</option>';
                });
                $("#select-kodekelas").html(opt);
            }else{
                let opt = '<option value="">- Tidak Bisa -</option>';
                $("#select-kodekelas").html(opt);
            }
            $("#select-kodekelas").select2({
                placeholder: "Pilih Kode Kelas",
            });
        });
    });
</script>